public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/plyvel/
Date: Wed, 22 Jan 2020 22:35:44 +0000 (UTC)	[thread overview]
Message-ID: <1579732465.8f101d5664626cd3bcaf43bd53a0fe4d14fbf4c5.sbraz@gentoo> (raw)

commit:     8f101d5664626cd3bcaf43bd53a0fe4d14fbf4c5
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 22 22:26:52 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Jan 22 22:34:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f101d56

dev-python/plyvel: bump to 1.2.0, add Python 3.8 compat

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/plyvel/Manifest            |  1 +
 dev-python/plyvel/plyvel-1.2.0.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/plyvel/Manifest b/dev-python/plyvel/Manifest
index f4e8b4ed2b5..200308edd25 100644
--- a/dev-python/plyvel/Manifest
+++ b/dev-python/plyvel/Manifest
@@ -1,2 +1,3 @@
 DIST plyvel-1.0.5.tar.gz 143728 BLAKE2B 2eac687e6901381b62df5278abe00684c8e5a9ac162596a1a1a0e620536155b5e5c0ba0ab9bb32c1d3a6467d997cfdf530e9275024f8caba3323728f3f3aba67 SHA512 d2a7fe9d49b377135ece03292f366423e9550d3440689a99246d8c5ddc38e474c2b05c709655c6bf74a1d04f742a23dfb8841b51698c2adb062418577b28c4b4
 DIST plyvel-1.1.0.tar.gz 143970 BLAKE2B 980c8117f39c704abaf1733bfabb6816aa84e5e449ed37368038a7d6cd4cbbbf832319bf149ec6ae7cca5074984427df08afc50e033451d3d97ddafd210d91e0 SHA512 4d9b20f7e047d75af14d530519b4360194a18aa423a57ac4596441e47528bbc9f8e3ff763dd91da4c115cb1e4a6f34f01bbd47f4be49be110b2f6e3c7b8bdb3a
+DIST plyvel-1.2.0.tar.gz 145528 BLAKE2B 3a1604b536e462b3eccb7c8294c607828b8f41f3ead65c74fd200d3bb4179765d63f57508cb3bfaee1c4c57ecda7b986afe9416714ae74ed9ad35a9247397c98 SHA512 00b3424e248d1ed17f6443c9862c9f35c94ad76707df5adfe625d7a387620252ff71b3e1f7e903dda1c5cfcd53cb23883c1049e31df541dfe566b8e849c0a96d

diff --git a/dev-python/plyvel/plyvel-1.2.0.ebuild b/dev-python/plyvel/plyvel-1.2.0.ebuild
new file mode 100644
index 00000000000..c10e3290826
--- /dev/null
+++ b/dev-python/plyvel/plyvel-1.2.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to LevelDB"
+HOMEPAGE="https://github.com/wbolster/plyvel"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-libs/leveldb-1.20:="
+DEPEND="
+	${RDEPEND}
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)
+"
+distutils_enable_sphinx doc
+
+python_test() {
+	# We need to copy the extension to the package folder
+	local ext="$(ls "${BUILD_DIR}/lib/${PN}/"*.so | head -n1 || die)"
+	ln -s "${ext}" "${PN}" || die
+	pytest -vv || die "tests failed with ${EPYTHON}"
+	rm "${PN}/$(basename "${ext}")" || die
+}


             reply	other threads:[~2020-01-22 22:35 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-22 22:35 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-20 18:40 [gentoo-commits] repo/gentoo:master commit in: dev-python/plyvel/ Michał Górny
2024-01-16  7:02 Michał Górny
2023-11-01 17:09 Michał Górny
2023-06-01 13:40 Michał Górny
2023-05-04 16:22 Michał Górny
2022-11-14  4:44 Michał Górny
2022-11-14  4:44 Michał Górny
2022-10-27  4:49 Michał Górny
2022-05-16 13:24 Michał Górny
2022-01-08  2:31 Louis Sautier
2021-08-05 19:13 Louis Sautier
2020-10-10 19:06 Louis Sautier
2020-09-04 22:14 Louis Sautier
2020-03-28 11:59 Michał Górny
2020-01-22 22:35 Louis Sautier
2019-05-02 22:31 Louis Sautier
2019-05-02 22:31 Louis Sautier
2018-07-19  9:59 Louis Sautier
2018-07-19  9:59 Louis Sautier
2018-06-18 22:27 Louis Sautier
2018-06-18 20:41 Louis Sautier
2018-06-18 10:34 Louis Sautier
2018-06-17 20:34 David Seifert
2017-12-26  8:17 Zac Medico
2016-02-14 17:02 Patrick Lauer
2016-01-13 10:31 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1579732465.8f101d5664626cd3bcaf43bd53a0fe4d14fbf4c5.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox